-- ADC.vhd

-- Generated using ACDS version 16.0 211

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity ADC is
	port (
		clk_clk                : in  std_logic                     := '0';             --        clk.clk
		command_valid          : in  std_logic                     := '0';             --    command.valid
		command_channel        : in  std_logic_vector(4 downto 0)  := (others => '0'); --           .channel
		command_startofpacket  : in  std_logic                     := '0';             --           .startofpacket
		command_endofpacket    : in  std_logic                     := '0';             --           .endofpacket
		command_ready          : out std_logic;                                        --           .ready
		pll_clk_clk            : in  std_logic                     := '0';             --    pll_clk.clk
		pll_locked_export      : in  std_logic                     := '0';             -- pll_locked.export
		response_valid         : out std_logic;                                        --   response.valid
		response_channel       : out std_logic_vector(4 downto 0);                     --           .channel
		response_data          : out std_logic_vector(11 downto 0);                    --           .data
		response_startofpacket : out std_logic;                                        --           .startofpacket
		response_endofpacket   : out std_logic;                                        --           .endofpacket
		rst_reset_n            : in  std_logic                     := '0'              --        rst.reset_n
	);
end entity ADC;

architecture rtl of ADC is
	component ADC_ADC is
		port (
			clock_clk              : in  std_logic                     := 'X';             -- clk
			reset_sink_reset_n     : in  std_logic                     := 'X';             -- reset_n
			adc_pll_clock_clk      : in  std_logic                     := 'X';             -- clk
			adc_pll_locked_export  : in  std_logic                     := 'X';             -- export
			command_valid          : in  std_logic                     := 'X';             -- valid
			command_channel        : in  std_logic_vector(4 downto 0)  := (others => 'X'); -- channel
			command_startofpacket  : in  std_logic                     := 'X';             -- startofpacket
			command_endofpacket    : in  std_logic                     := 'X';             -- endofpacket
			command_ready          : out std_logic;                                        -- ready
			response_valid         : out std_logic;                                        -- valid
			response_channel       : out std_logic_vector(4 downto 0);                     -- channel
			response_data          : out std_logic_vector(11 downto 0);                    -- data
			response_startofpacket : out std_logic;                                        -- startofpacket
			response_endofpacket   : out std_logic                                         -- endofpacket
		);
	end component ADC_ADC;

begin

	adc : component ADC_ADC
		port map (
			clock_clk              => clk_clk,                --          clock.clk
			reset_sink_reset_n     => rst_reset_n,            --     reset_sink.reset_n
			adc_pll_clock_clk      => pll_clk_clk,            --  adc_pll_clock.clk
			adc_pll_locked_export  => pll_locked_export,      -- adc_pll_locked.export
			command_valid          => command_valid,          --        command.valid
			command_channel        => command_channel,        --               .channel
			command_startofpacket  => command_startofpacket,  --               .startofpacket
			command_endofpacket    => command_endofpacket,    --               .endofpacket
			command_ready          => command_ready,          --               .ready
			response_valid         => response_valid,         --       response.valid
			response_channel       => response_channel,       --               .channel
			response_data          => response_data,          --               .data
			response_startofpacket => response_startofpacket, --               .startofpacket
			response_endofpacket   => response_endofpacket    --               .endofpacket
		);

end architecture rtl; -- of ADC
