-- Project:			maximator-vga-oscilloscope
-- File:				adc_command.vhd
-- Version:			1.0 (13.05.2016)
-- Author:			Piotr Rzeszut (http://piotr94.net21.pl)
-- Description:	Generates command signals for ADC Core and latches conversion result

library ieee ;

use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity adc_command is
	port(
		clk							: in  std_logic;
		response_valid				: in  std_logic;                                       
		response_channel			: in  std_logic_vector(4 downto 0);                    
		response_data				: in  std_logic_vector(11 downto 0);                   
		response_startofpacket	: in  std_logic;                                     
		response_endofpacket		: in  std_logic;
		command_channel 			: out std_logic_vector(4 downto 0);
		command_valid 				: out std_logic;
		command_startofpacket 	: out std_logic;
		command_endofpacket 		: out std_logic;
		command_ready 				: out std_logic;
		valid_data					: out std_logic_vector(11 downto 0)
	);
end adc_command;


architecture basic of adc_command is
begin
	command_channel 			<= "00110";
	command_valid 				<= '1';
	command_startofpacket 	<= '1';
	command_endofpacket 		<= '0';
	command_ready 				<= '1';
	
	process (clk) is
	begin
		if rising_edge(clk) and response_valid = '1' then
			valid_data <= response_data;
		end if;
	end process;
	
end basic;
